curl --request GET \
--url https://int-api.mx.com/merchant_locations/{merchant_location_guid} \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/merchant_locations/{merchant_location_guid}"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/merchant_locations/{merchant_location_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merchant_location": {
"city": "North Kishaberg",
"country": "US",
"created_at": "2025-02-13T18:08:00+00:00",
"guid": "MCL-00024e59-18b5-4d79-b879-2a7896726fea",
"latitude": 123,
"longitude": -104.89158799999998,
"merchant_guid": "MCH-09466f0a-fb58-9d1a-bae2-2af0afbea621",
"phone_number": "(303) 689-0728",
"postal_code": "801121436",
"state": "CO",
"street_address": "8547 E Arapahoe Rd, Ste 1",
"updated_at": "2025-02-13T18:09:00+00:00"
}
}Read merchant location
This endpoint returns the specified merchant_location resource. The merchant_location_guid can be found on transaction objects.
Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20260929"
Path Parameters
The unique id for a merchant_location.
Response
OK
Hide child attributes
Hide child attributes
The city name.
"North Kishaberg"
The country name.
"US"
The date and time the merchant was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
The unique identifier for the merchant location. Defined by MX.
"MCL-00024e59-18b5-4d79-b879-2a7896726fea"
The latitude of the location where the transaction occurred. The number is a signed decimal.
The longitude of the location where the transaction occurred. The number is a signed decimal.
-104.89158799999998
The unique identifier for the merchant. Defined by MX.
"MCH-09466f0a-fb58-9d1a-bae2-2af0afbea621"
The phone number of the merchant location.
"(303) 689-0728"
The postal code of the merchant location.
"801121436"
The state abbreviation of the merchant location.
"CO"
The street address of the merchant location.
"8547 E Arapahoe Rd, Ste 1"
The date and time the resource was last updated in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2025-02-13T18:09:00+00:00"

